<div align="center">
    <!-- heading -->
    <div style="width: 98%">
        <!-- <mat-toolbar-row style="align-content: center"> -->
        <h3>
            <b>
                {{title}}
            </b>
        </h3>
        <!-- </mat-toolbar-row> -->
    </div>
    <mat-dialog-content>
        <form action="" [formGroup]="workerForm">

            <div *ngIf='title=="Add New Worker"' class="tab-content p-24" fusePerfectScrollbar>



                <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                    <mat-label>Name</mat-label>
                    <input matInput placeholder="Enter Worker Name" name="user_name" formControlName="name">
                </mat-form-field>
                <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                    <mat-label>Mobile</mat-label>
                    <input matInput placeholder="Enter Mobile no." name="mobile" formControlName="mobile">
                </mat-form-field>
                <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                    <mat-label>Password</mat-label>
                    <input matInput placeholder="Enter Password" name="password" formControlName="password"
                        type="password">
                </mat-form-field>
                <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                    <mat-label>Confirm Password</mat-label>
                    <input matInput placeholder="Re-Enter Password" name="confirm_password"
                        formControlName="confirm_password" type="password">
                </mat-form-field>
                <!-- <mat-form-field class="w-100-p;">
                    <mat-chip-list #chipList aria-label="Building selection">
                        <mat-chip *ngFor="let building of buildingData" [selectable]="selectable"
                            [removable]="removable" (removed)="removeSelected(building)">
                            {{building}}
                            <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                        </mat-chip>
                        <input #buildingInput placeholder="Buildings..." [matChipInputFor]="chipList"
                            formControlName="building" [matAutocomplete]="auto"
                            [matChipInputSeparatorKeyCodes]="separatorKeysCodes" [matChipInputAddOnBlur]="addOnBlur"
                            (matChipInputTokenEnd)="addchip($event)">
                    </mat-chip-list>

                    <mat-autocomplete #auto="matAutocomplete" (optionSelected)="addSelected($event)">
                        
                        
                        <mat-option *ngFor="let option of filteredBuildings | async" [value]="option">
                            {{option.name}}
                        </mat-option>
                    </mat-autocomplete>

                </mat-form-field> -->



                <mat-form-field class="example-chip-list">
                    <mat-chip-list #chipList>
                        <mat-chip *ngFor="let building of buildingData;let indx=index;" [selectable]="selectable" [removable]="removable" (removed)="removeSelected(building)">
                            {{building.name}}
                            <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                        </mat-chip>
                        <input placeholder="Buildings..." #buildingInput formControlName="building" [matAutocomplete]="auto" [matChipInputFor]="chipList"
                         [matChipInputSeparatorKeyCodes]="separatorKeysCodes" [matChipInputAddOnBlur]="addOnBlur" >
                    </mat-chip-list>
                    <mat-autocomplete #auto="matAutocomplete" (optionSelected)="addSelected($event)">
                        <mat-option (click)="addchip(option,[])" *ngFor="let option of filteredBuildings | async" [value]="option.name">
                            {{option.name}}
                        </mat-option>
                    </mat-autocomplete>
                </mat-form-field>






                <mat-dialog-actions style="justify-content: space-evenly;">
                    <div style="display: inline-flex;">
                        <button [disabled]="workerForm.invalid || buildingData.length == 0" mat-raised-button
                            color="accent" (click)="submit()">
                            Submit
                        </button>
                        &nbsp;
                        <button mat-raised-button color="accent" (click)="cancel()">
                            Cancel
                        </button>

                    </div>
                </mat-dialog-actions>

            </div>
        </form>
    </mat-dialog-content>


    <div *ngIf='title=="Edit Worker"' class="content-card">
        <!-- CONTENT -->
        <div class="content">

            <mat-dialog-content>
                <div [formGroup]="workerForm" class="tab-content p-24">

                    <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                        <mat-label>Name</mat-label>
                        <input matInput placeholder="Enter Worker Name" name="user_name" formControlName="name">
                    </mat-form-field>



                    <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                        <mat-label>Mobile</mat-label>
                        <input matInput placeholder="Enter Mobile no." name="mobile" formControlName="mobile">
                    </mat-form-field>

                    <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                        <mat-label>Password</mat-label>
                        <input matInput placeholder="Enter Password" name="password" formControlName="password"
                            type="password">
                    </mat-form-field>
                    <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                        <mat-label>Confirm Password</mat-label>
                        <input matInput placeholder="Re-Enter Password" name="confirm_password"
                            formControlName="confirm_password" type="password">
                    </mat-form-field>

                    <mat-card style="margin-bottom: 5px;border-radius: 35px;"
                        *ngFor="let buildings of buildings_data;index as i">
                        <div fxLayout="row" style="padding: 0px 20px 0px 25px;">
                            <div fxFlex="40">
                                <!-- <mat-form-field class="w-100-p;">
                                    <mat-chip-list #chipList aria-label="Building selection">
                                        <mat-chip *ngFor="let building of buildings.buildings;index as j"
                                            [selectable]="selectable" [removable]="removable"
                                            (removed)="remove(building,buildings)">
                                            {{building.building_name}}
                                            <mat-icon matChipRemove *ngIf="removable && building.end_date==null">cancel
                                            </mat-icon>
                                        </mat-chip>
                                        <input #buildingInput placeholder="Buildings..." [matChipInputFor]="chipList"
                                            formControlName="building" [matAutocomplete]="auto"
                                            [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                                            [matChipInputAddOnBlur]="addOnBlur">
                                    </mat-chip-list>
                                    <mat-autocomplete #auto="matAutocomplete">
                                        <mat-option *ngFor="let option of filteredBuildings | async"
                                            [value]="option.name" (click)="addchip(option,buildings)">
                                            {{option.name}}
                                        </mat-option>
                                    </mat-autocomplete>

                                </mat-form-field> -->


                                <mat-form-field class="example-chip-list">
                                    <mat-chip-list #chipList>
                                        <mat-chip *ngFor="let building of buildings.buildings;index as j;" [selectable]="selectable" [removable]="removable" (removed)="remove(building,buildings)">
                                            {{building.building_name}}
                                            <mat-icon matChipRemove *ngIf="removable && building.end_date==null">cancel</mat-icon>
                                        </mat-chip>
                                        <input placeholder="Buildings..." #buildingInput formControlName="building" [matAutocomplete]="auto" [matChipInputFor]="chipList"
                                         [matChipInputSeparatorKeyCodes]="separatorKeysCodes" [matChipInputAddOnBlur]="addOnBlur" >
                                    </mat-chip-list>
                                    <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event,buildings)">
                                        <mat-option (click)="addchip(option,buildings)" *ngFor="let option of filteredBuildings | async" [value]="option.name">
                                            {{option.name}}
                                        </mat-option>
                                    </mat-autocomplete>
                                </mat-form-field>
                            </div>
                        </div>
                    </mat-card>
                    <div>
                        <div *ngFor="let buildings of editBuildings">
                            <div *ngIf="buildings.building_status==false && buildings.chipRemoved==true">

                                <mat-chip-list #chipList aria-label="Building selection">
                                    <mat-chip [selectable]="selectable" [removable]="removable"
                                        (removed)="remove(buildings,buildings)"
                                        style="margin-left: 30px;margin-top:10px">
                                        {{buildings.building_name}}
                                        <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                                    </mat-chip>

                                </mat-chip-list>
                                <div style="margin-top:-30px;margin-left: 250px;">
                                    <mat-form-field appearance="fill">

                                        <input matInput [(ngModel)]="buildings.end_date" [min]="minDate" [matDatepicker]="picker" type="date"
                                            (change)="assignEndDate($event,buildings)">

                                    </mat-form-field>&nbsp;&nbsp;
                                    <mat-label>End Building Allocation</mat-label>
                                </div>
                            </div>


                        </div>

                    </div>

                </div>



            </mat-dialog-content>
            &nbsp;&nbsp;
        </div>
        <!-- / CONTENT -->
        <mat-dialog-actions style="justify-content: space-evenly;">
            <div style="display: inline-flex;">
                <button [disabled]="workerForm.invalid " mat-raised-button color="accent" (click)="submit()">
                    Submit
                </button>
                &nbsp;
                <button mat-raised-button color="accent" (click)="cancel()">
                    Cancel
                </button>

            </div>
        </mat-dialog-actions>
    </div>
    <!-- / CONTENT CARD -->


</div>